
#include <io.h>
#include <dos.h>
#include <math.h>
#include <fcntl.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <sys\stat.h>
#include <graphics.h>


#define VGA 9
#define VGAHI 2
#define xorigo 320
#define yorigo 170
#define P4I 0.758
#define P2I 1.57
#define PI 3.1415
#define PI2 6.2830
/* External ASM routines */
/*-----------------------*/
extern	unsigned int far initmem1(void);
extern	unsigned int far initmem2(void);
extern  unsigned int far initmusic(void);
extern  unsigned int far initplayer(void);
extern  void far resetplayer(void);
extern	unsigned int far cpudetect(void);
extern  unsigned int far chk_video(void);
extern  void far chk_dosver(void);
extern  unsigned int far chk_system(void);


void bosspage(void);
void helppage(void);


void setbackground(void);
int enterlevel(void);
void makelevel(void);
void plotstars(void);
void plotfield(void);
void plotocean(void);
void plotland(void);
void plotbelt(void);
void makestars(void);
void makefield(void);
void makeocean(void);
void makeland(void);

void levelshow1(void);
void levelshow2(void);

void definefig(void);
void definenextfig(void);


void credits(void);

void save_error(void);
void load_error(void);
void toerror(void);
int testhex(char);
unsigned char hex(char);
int gethex(char *);
void debug(void);
void setmusic(unsigned int);
void mainmenu(void);
void demomoving(void);
void initcolor(void);
void resetcolor(void);
void gammacorrect(void);
void shownextfig(void);
void load_update(void);
void putexit(void);
void colour(int);
void setcolour(int);
int load_desk(void);
int save_desk(void);
int getswitches(int, char*[]);
void setrgb(int, unsigned char, unsigned char, unsigned char);
void negfelt(int, int, int);
void changeset(int);
void fadein(void);
void fadeout(void);
void flashscreen(void);
void prscoretab(void);
void entername(int);
int keydecode(char k);
int savegame(void);
int loadgame(void);
void setradar(void);
void delsline(void);
void prscore(void);
void intro(void);
void prlines(void);
void initscoretab(void);
void print(int ,int , char *, ...);
void printmessage(int mesnum);
int testrotfig(void);
void plotglass(void);
void plotobject(void);
void drawcockpit(void);
void initglass(void);
void fillglass(int);
void putchoise(void);
void radar(void);
void defineobject(int);
void definefigure(int);
void definenextfigure(int);
void pause(void);
void multposit();
void projection(void);
void maketab(void);
void objrotation(void);
void drawobject(void);
int loadscore(void);
void gameover(void);
void drawstars(void);
void left(void);
void right(void);
void moving(void);
void fillobject(int c);
void cockpit(void);
void movestars(void);
void figrotate(void);
void figmove(void);
void plotfig(void);
void prlevel(void);
void erasefig(void);
int testfig(void);
void scanline(void);
void playdemo(void);

/* Interrupt handlers */
/*--------------------*/
void interrupt timer();
void interrupt inkey();
void interrupt (*biosint)();
void interrupt (*timeint)();

/* Initialization routines */
/*-------------------------*/
void setvariables(void);
void systeminit(void);

/* Logo routines */
/*---------------*/
void snslogo(void);
void st2logo(void);

/* Error handling */
/*----------------*/
void common_error(void);
void loaderror(void);
void scoreerror(void);
void save_error(void);
void load_error(void);
void load_error2(void);
void load_error3(void);

/* Graphics ASM routines */
/*-----------------------*/
void screenon(void);
void screenoff(void);
void syncdisplay(void);
void copyscreen(void);
void clearscreen(void);

void plot(void);
void plop(void);
void hline(void);
void vline(void);
void linex(int, int, int, int);
void box(int ,int ,int ,int ,int );


